728x90

http 버전이 0.13.3으로 올라가면서

기존 : var response = http.get("http://domain.com");

변경 : var response = http.get(Uri.parse("http://domain.com"));

으로 바뀌었습니다.

기존 방법대로 사용을 하면 위와 같은 뻘건 오류 메시지가 튀어나옵니다.

아래 링크 Readme를 보시면 됩니다. Example은 예전 코드네요.

https://pub.dev/packages/http

 

http | Dart Package

A composable, multi-platform, Future-based API for HTTP requests.

pub.dev

 

반응형

댓글 0